/* about page */
@media (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

:root {
    --colour-curly-wig: #d2ff65;
    --colour-duskdark: #7b2bff;
    --colour-firedot: #d93912;
    --colour-tablelands: #413035;
    --colour-blue-mountains-ash: #e3f0E8;
    --colour-sweet-wattle: #fafff0;
    --colour-mountain-devil: #f9d7f4;
    --colour-black: #000000;
    --colour-white: #ffffff;
}

.about {
    background-image: url(/assets/images/about_background.jpg);
    background-size: cover;
    background-attachment: fixed;
    padding-bottom: 20vh;
}

.about-top-section {
    padding-top: 100px;
    margin: 0 30px 0 30px;
}

.about-top-section > div{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.about-top-section h1 {
    color: white;
}

.anchor-tags {
    margin-bottom: 50px;
    text-align: right;
    color: white;
}

.anchor-tags h5{
    margin-top: 18px;
}

.about-top-section h2 {
    display: flex;
    margin:auto;
    padding: 15vh 0 40vh 0;
    width: 50%;
    text-align: center;
    color: white;
}

/* content boxes */
.about-content-block {
    background-color: var(--colour-curly-wig);
    margin: 0 75px 150px 75px;
    border: 1px solid black;
    padding: 75px 75px 100px 75px;
}

.about-content-block h1 {
    margin-bottom: 30px;
}

.about-content-block h2 {
    margin: 10px 0 10px 0;
}

.about-content-block h5 {
    margin:  10px 0 4px 0;
}

.about-content-block p {
    margin-bottom: 12px;
}

.about-column {
    width: 100%;
    
}

.about-blocks {
    margin: 0 0 25px 0;
}

.about-blocks img {
    height: 250px;
    object-fit: cover;
}

#codirectors img {
    height: auto;
}

.sponsor-grid{
    display: flex;
    flex-direction: column;
}

.sponsor-grid > div{
    margin-top: 24px;
}

.sponsor-grid h3{
    margin-bottom: 8px;
}

.sponsor-kind-section{
    display: grid;
    grid-template-columns: repeat(auto-fit, 250px);
    column-gap: 1vw;
    justify-content: start;
}

.sponsor-kind-section div {
    padding: 10px;
}

.sponsor-kind-section img{
    max-width: 230px;
    width: 100%;
    height: 160px;
    object-fit: contain;
}
/* 
#sponsors {
    padding-bottom: 40vh;
} */

/* breakpoints */
/* mobile */
@media (width <= 600px) {
    .about {
        padding-bottom: 30vh;
    }
    
    .about-content-block {
        margin: 100px 20px 82px 20px;
        padding: 24px 24px 30px 24px;
    }

    .about-top-section {
        padding-top: 100px;
        margin: 0 30px 0 30px;
    }

    .about-top-section h2 {
        width: 90%;
        font-size: 1.2em;
        padding: 10vh 0 20vh 0;
    }
    
    .about-grid {
        display: block;
        margin-top: 42px;
    }

    .sponsor-kind-section{
        justify-content: center;
    }

    /* #sponsors {
        padding-bottom: 30vh;
    } */
}

/* foldable */
@media (600px <= width <= 900px) {
    .about {
        padding-bottom: 30vh;
    }
    .about-content-block {
        margin: 30px;
        padding: 40px;
    }
    .about-top-section h2 {
        width: 90%;
        padding: 10vh 0 20vh 0;
    }
    .about-grid {
        display: block;
    } 
}

/* laptop */
@media (900px <= width <= 1440px) {
    .about-grid {
        display: flex;
        gap: 2em;
    }
}

/* ultra-wide */
@media screen and (1440px <= width) {
    .about-grid {
        display: flex;
        gap: 2em;
    }
}